/** @type {import('tailwindcss').Config} */
module.exports = {
  content: ["./src/**/*.{js,ts,jsx,tsx,mdx}"],
  theme: {
    extend: {
      animation: {
        "spin-one-time": "spin 1s linear",
      },
      fontFamily: {
        pretendard: ["Pretendard", "sans-serif"],
      },
      screens: {
        mobile: "320px",
        tablet: "768px",
        notebook: "1024px",
        desktop: "1440px",
      },
      colors: {
        black: "#191919",
        tertiary: "#c4d625",
        positive: "#29d819",
        warning: "#db1919",
        delay: "#db7619",
        primary: {
          default: "#ec4899",
          50: "#fdf2f8",
          100: "#fce7f3",
          200: "#fbcfe8",
          300: "#f9a8d4",
          400: "#f472b6",
          500: "#ec4899",
          600: "#db2777",
          700: "#be185d",
          800: "#9d174d",
          900: "#831843",
        },
        secondary: {
          default: "#6b21a8",
          50: "#faf5ff",
          100: "#f3e8ff",
          200: "#e9d5ff",
          300: "#d8b4fe",
          400: "#c084fc",
          500: "#a855f7",
          600: "#9333ea",
          700: "#7e22ce",
          800: "#6b21a8",
          900: "#581c87",
        },
        tertiary: {
          default: "#4338ca",
          50: "#eef2ff",
          100: "#e0e7ff",
          200: "#c7d2fe",
          300: "#a5b4fc",
          400: "#818cf8",
          500: "#6366f1",
          600: "#4f46e5",
          700: "#4338ca",
          800: "#3730a3",
          900: "#312e81",
        },

        grayscale: {
          50: "#f8f8f8",
          100: "#f1f1f1",
          200: "#e7e7e7",
          300: "#d7d7d7",
          400: "#b3b3b3",
          500: "#939393",
          600: "#6b6b6b",
          700: "#575757",
          800: "#393939",
          900: "#191919",
        },
      },
      backgroundImage: {
        "gradient-pink": "linear-gradient(to right, #ec4899, #db2777)",
        "gradient-purple": "linear-gradient(to right, #a855f7, #6b21a8)",
        "gradient-indigo": "linear-gradient(to right, #6366f1, #3730a3)",
        "gradient-mix": "linear-gradient(to right, #6366f1, #a855f7, #ec4899)",
      },
      boxShadow: {
        "input-box": "2px 2px 8px 0px rgba(0, 0, 0, 0.25)",
      },
    },
  },
  plugins: [],
};
